/******************************************************************************
*                                                                             *
*    LPTheme.h                              Copyright(c) 2007-2008 itow,y.    *
*                                                                             *
******************************************************************************/

/*
	LafPlayer \[XvOCpwb_t@C

	̃t@C̍Ĕzz͎RłB
*/


#ifndef LP_THEME_H
#define LP_THEME_H


#include "LPThemeResource.h"


#include <pshpack1.h>


#define LP_THEME_VERSION_0	0x00000000
#ifndef LP_THEME_VERSION
#define LP_THEME_VERSION	LP_THEME_VERSION_0
#endif

typedef struct tagLPThemeInfo {
	UINT Flags;
	LPCWSTR pszName;
	LPCWSTR pszCopyright;
	LPCWSTR pszDescription;
} LPThemeInfo;

#define LP_THEME_FLAG_LOGO		0x00000001
#define LP_THEME_FLAG_TOOLBAR	0x00000002
#define LP_THEME_FLAG_PLAYBAR	0x00000004
#define LP_THEME_FLAG_PLAYLIST	0x00000008

#define LP_THEME_MAX_NAME			64
#define LP_THEME_MAX_COPYRIGHT		128
#define LP_THEME_MAX_DESCRIPTION	128

#define LP_IMAGE_TYPE_LOGO		0
#define LP_IMAGE_TYPE_TOOLBAR	1
#define LP_IMAGE_TYPE_PLAYBAR	2
#define LP_IMAGE_TYPE_PLAYLIST	3

typedef struct tagLPThemeToolbarInfo {
	INT Type;
	UINT Flags;
	INT Width;
	INT Height;
	COLORREF TransparentColor;
} LPThemeToolbarInfo;

#define LP_TOOLBAR_TYPE_TOOLBAR		0
#define LP_TOOLBAR_TYPE_PLAYBAR		1
#define LP_TOOLBAR_TYPE_PLAYLIST	2

#define LP_TOOLBAR_FLAG_HOT			0x00000001
#define LP_TOOLBAR_FLAG_DISABLED	0x00000002
#define LP_TOOLBAR_FLAG_MAP3DCOLORS	0x00000004

#ifdef __cplusplus
#define LP_THEME_EXPORT(type) extern "C" __declspec(dllexport) type WINAPI
#else
#define LP_THEME_EXPORT(type) __declspec(dllexport) type WINAPI
#endif

typedef UINT (WINAPI *LPThemeGetVersionFunc)(void);
typedef void (WINAPI *LPThemeGetInfoFunc)(LPThemeInfo *pInfo);
typedef BOOL (WINAPI *LPThemeGetToolbarInfoFunc)(LPThemeToolbarInfo *pInfo);


#include <poppack.h>


#endif	/* ndef LP_THEME_H */
